Bug 985186 - Upgrading Kernel results in FATAL Machine Check Exception
Upgrading Kernel results in FATAL Machine Check Exception
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 00:23 EDT by Jack Waterworth
Modified: 2013-10-08 12:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 12:53:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Waterworth 2013-07-17 00:23:40 EDT
Description of problem:
Upgrading the kernel from F18 gold to newer causes MCE and Kernel Panic at boot

Version-Release number of selected component (if applicable):
(machine has been upgraded to f19, problem still occurs)
kernel-3.9.5-301.fc19.x86_64
kernel-3.9.5-302.fc19.x86_64

How reproducible:
Almost every time

Steps to Reproduce:
1. Install Fedora 18
2. Upgrade kernel
3. Reboot

Actual results:
Machine kernel panics with MCE

mce: [Hardware Error]: CPU0: Machine Check Exception: 4 Bank 4: b200000000070f0f
mce: [Hardware Error]: TSC 11c473c52b
mce: [Hardware Error]: PROCESSOR 2:20f32 TIME 1373598391 SOCKET 0 APIC 0 microcode 4d
mce: [Hardware Error]: Run the above through 'mcelog --ascii'
mce: [Hardware Error]: Machine check: Processor context corrupt
Kernel panic - not syncing: Fatal machine check on current CPU
Shutting down cpus with NMI
drm_kms_helper: panic occurred switching back to text console


Expected results:
Machine should not kernel panic


Additional info:

* Booting into older kernel (from gold install of F18) works fine

* Issue exists in F19 also. fedup or fresh install appear to work fine but machine encounters MCE at first boot.

* Rebooting over and over (and over) may result in the machine coming up. Once the machine is up, it remains stable, but will fail again next reboot.

* F19 Live media works fine

* CPU is an AMD Athlon 64 X2 4800+

* Attempted to swap out memory on the machine, but issue still occurs
Comment 1 Jack Waterworth 2013-07-18 20:12:51 EDT
Installing the f18 kernel on f19 appears to resolve the issue for me also and allows f19 to boot

[jack@jack-desktop ~]$ cat /etc/redhat-release 
Fedora release 19 (Schrödinger’s Cat)
[jack@jack-desktop ~]$ uname -r
3.6.10-4.fc18.x86_64
Comment 2 Josh Boyer 2013-09-18 16:54:40 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Josh Boyer 2013-10-08 12:53:00 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.